%define _use_internal_dependency_generator 0

Name: perl-file-tail
Version: 0.99.1
Release: 1.arnes.1
Summary: File-Tail Perl module
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=File%3a%3aTail
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Requires: perl-Time-HiRes >= 1.55 
BuildRequires: perl-Time-HiRes >= 1.55 
Source0: File-Tail-%{version}.tar.gz

%description
The File::Tail module allows you to process (tail) a running log
file. It can handle log rotation.

%prep
%setup -q -n File-Tail-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test


%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > File-Tail-%{version}-filelist
if [ "$(cat File-Tail-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f File-Tail-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Jun 2 2005 Rok Papez <rok.papez@arnes.si>
- Initial release
